Topic
  • 8 replies
  • Latest Post - ‏2009-04-01T13:16:28Z by SystemAdmin
SystemAdmin
SystemAdmin
801 Posts

Pinned topic problems installing on linux

‏2008-12-22T04:01:28Z |
Greetings. I'm having trouble installing WDF on my Linux box. I see that the supported systems are RHEL 5.1 and Suse 10, but I'm running Fedora 8...don't know if that's the problem.

I install WDF in RAD 7.5 and it runs without a problem. When I bring up the workbench, however, and try to create a new project, I don't see the Dashboard Factory feature set. The GreenPoint Web Chart Builder is there under Charting, and the Excel Extension is under Integration Extensions.

The log for my new workspace has these lines, which I cannot decipher:

!ENTRY org.eclipse.ui.workbench 2 0 2008-12-21 21:42:41.584
!MESSAGE A handler conflict occurred. This may disable some commands.
!SUBENTRY 1 org.eclipse.ui.workbench 2 0 2008-12-21 21:42:41.586
!MESSAGE Conflict for 'AUTOGEN:::project.bowstreet.webapp/com.bowstreet.designer.webapp.actions.build3':
HandlerActivation(commandId=AUTOGEN:::project.bowstreet.webapp/com.bowstreet.designer.webapp.actions.build3,
handler=ActionDelegateHandlerProxy(null,com.bowstreet.designer.webapp.actions.BuildDeploymentWar),
expression=WorkbenchWindowExpression(org.eclipse.ui.internal.WorkbenchWindow@2a492a49),sourcePriority=16384)
HandlerActivation(commandId=AUTOGEN:::project.bowstreet.webapp/com.bowstreet.designer.webapp.actions.build3,
handler=ActionDelegateHandlerProxy(null,com.bowstreet.designer.webapp.actions.BuildRCPWAB),
expression=WorkbenchWindowExpression(org.eclipse.ui.internal.WorkbenchWindow@2a492a49),sourcePriority=16384)
By the way, Portlet Factory works great...it's just when I try to install the Dashboard Framework that I'm having problems.

Help! Thanks.
Updated on 2009-04-01T13:16:28Z at 2009-04-01T13:16:28Z by SystemAdmin
  • wudongf
    wudongf
    289 Posts

    Re: problems installing on linux

    ‏2008-12-22T05:21:15Z  
    Hi,

    We do not offically support Fedora. But we can have a try to see whether we have some workaround.

    First, can you give me some information:
    1. The screenshot for the installed FeatureSet information. Project Properties > WebSphere Portlet Factory Project Properties >Feature info
    2. The files installed in <WDF installed folder>\FeatureSets\Web-App_6.<version>\Packages
  • SystemAdmin
    SystemAdmin
    801 Posts

    Re: problems installing on linux

    ‏2009-01-02T16:31:22Z  
    • wudongf
    • ‏2008-12-22T05:21:15Z
    Hi,

    We do not offically support Fedora. But we can have a try to see whether we have some workaround.

    First, can you give me some information:
    1. The screenshot for the installed FeatureSet information. Project Properties > WebSphere Portlet Factory Project Properties >Feature info
    2. The files installed in <WDF installed folder>\FeatureSets\Web-App_6.<version>\Packages
    Here is what you've asked for. When I create the project, the WDF entry is missing; the only options I have are the ones here in the project properties.

    Here are the files in the Packages directory:

    collaboration.pkg
    ContentModel.pkg
    Dojo.pkg
    ExcelBuilders.pkg
    GreenPointWebChartsTrial.pkg
    JSTL.pkg
    LWCMExtension.pkg
    PeopleSoft.pkg
    SAP.pkg
    Siebel.pkg
    TutorialApplications.pkg
    TutorialBuilders.pkg
    WorkplaceForms.pkg
    WPF_NLS_Group1.pkg
  • wudongf
    wudongf
    289 Posts

    Re: problems installing on linux

    ‏2009-01-05T02:39:25Z  
    Here is what you've asked for. When I create the project, the WDF entry is missing; the only options I have are the ones here in the project properties.

    Here are the files in the Packages directory:

    collaboration.pkg
    ContentModel.pkg
    Dojo.pkg
    ExcelBuilders.pkg
    GreenPointWebChartsTrial.pkg
    JSTL.pkg
    LWCMExtension.pkg
    PeopleSoft.pkg
    SAP.pkg
    Siebel.pkg
    TutorialApplications.pkg
    TutorialBuilders.pkg
    WorkplaceForms.pkg
    WPF_NLS_Group1.pkg
    I'm afraid that WDF is not installed.

    Is your WPF installed with WDF? Or using a seperate version of WPF?
  • SystemAdmin
    SystemAdmin
    801 Posts

    Re: problems installing on linux

    ‏2009-01-05T02:57:58Z  
    Could you navigate to Help->About of your Eclipse designer to see whether it contains a WDF icon, which could be clicked to show the version?
    Thanks!
  • SystemAdmin
    SystemAdmin
    801 Posts

    Re: problems installing on linux

    ‏2009-03-09T22:13:30Z  
    Could you navigate to Help->About of your Eclipse designer to see whether it contains a WDF icon, which could be clicked to show the version?
    Thanks!
    Hello. I installed v6.1.2 of Dashboard Factory on Fedora Core 8. I have eclipse SDK 3.2 and 3.2.2, and the results are the same with both.

    Help -> About shows that Portlet Factory 6.1.2 and Dashboard Framework 6.1.2 are installed. However, there is no Portlet Factory perspective, and when I create a new project, I don't have the option of creating a Portlet Factory project.

    The install log shows that everything installed successfully.

    What am I missing?
  • SystemAdmin
    SystemAdmin
    801 Posts

    Re: problems installing on linux

    ‏2009-03-10T06:16:39Z  
    Hello. I installed v6.1.2 of Dashboard Factory on Fedora Core 8. I have eclipse SDK 3.2 and 3.2.2, and the results are the same with both.

    Help -> About shows that Portlet Factory 6.1.2 and Dashboard Framework 6.1.2 are installed. However, there is no Portlet Factory perspective, and when I create a new project, I don't have the option of creating a Portlet Factory project.

    The install log shows that everything installed successfully.

    What am I missing?
    I think the problem is probably that the WST required tools are not installed to the Eclipse 3.2.x
    Following are the Eclipse version and the required plugins version that we've ever tested through on RHEL 5. Just for your reference.

    eclipse-SDK-3.2.1-linux-gtk.tar
    GEF-SDK-3.2.1.zip
    wtp-R-1.5.3.zip
    emf-sdo-xsd-SDK-2.2.1.zip
    JEM-SDK-1.2.1.zip
  • SystemAdmin
    SystemAdmin
    801 Posts

    Re: problems installing on linux

    ‏2009-03-10T06:33:31Z  
    I think the problem is probably that the WST required tools are not installed to the Eclipse 3.2.x
    Following are the Eclipse version and the required plugins version that we've ever tested through on RHEL 5. Just for your reference.

    eclipse-SDK-3.2.1-linux-gtk.tar
    GEF-SDK-3.2.1.zip
    wtp-R-1.5.3.zip
    emf-sdo-xsd-SDK-2.2.1.zip
    JEM-SDK-1.2.1.zip
    Pls firstly verify whether these plugins have been installed into the Eclipse.

    btw. You'd also try with Eclipse Ganymede (http://www.eclipse.org/ganymede/) which contains the those plugins out-of-box.
  • SystemAdmin
    SystemAdmin
    801 Posts

    Re: problems installing on linux

    ‏2009-04-01T13:16:28Z  
    Pls firstly verify whether these plugins have been installed into the Eclipse.

    btw. You'd also try with Eclipse Ganymede (http://www.eclipse.org/ganymede/) which contains the those plugins out-of-box.
    Thanks, GuoQing. eclipse-jee-ganymede-SR1-linux-gtk.tar.gz worked. Problem solved.